Bug 864741 - f18b tc3 anaconda Armenian keyboard makes trouble (workaround)
f18b tc3 anaconda Armenian keyboard makes trouble (workaround)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
: 866320 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 22:40 EDT by Reartes Guillermo
Modified: 2014-02-05 07:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:31:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
BZ login dialog showing Armenian glyphs after exception in keyboard spoke (39.71 KB, image/png)
2012-10-15 00:24 EDT, Steve Tyler
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-09 22:40:09 EDT
Description of problem:

* boot, accept fate
* enter keyboard, click english and hit '-' key
* select chinese and ADD it.
OK

* enter keyboard, click chinese and hit '-' key
* select spanish and ADD it.
OK

* enter keyboard, click spanish and hit '-' key
* select armentian and ADD it.
NOT GOOD

testing the keyboard will reveal non latin alphabet.
No problem, let's go back to english...

* enter keyboard, click armenian and hit '-' key
Start to type english...  
Good luck, non latin glyps will be displayed and
they will not match anything.

How to exit this? (WORKAROUND)
hit '+' and just scroll the full list and select
a working keyboard.

In fact, one can jump directly to Armenian.
Discovered by accident.

Version-Release number of selected component (if applicable):
F18b TC3

How reproducible:
always

Steps to Reproduce:
Se above.
  
Actual results:
if Armenian keyboard is selected, switching back the keyboard is not as easy as one might expect.

Expected results:


Additional info:
Comment 1 Vratislav Podzimek 2012-10-11 07:46:15 EDT
So if I understand it correctly, you are hitting the situation when you choose non-latin keyboard and want to get back by opening the Add Layout dialog (either + button or - button when the last layout is in the list) and typing the new layout name?

Well, there is nothing we can do about it. The only thing that comes to my mind is something like "Reset to English" button.

Also please have a look at https://bugzilla.gnome.org/show_bug.cgi?id=684565
Comment 2 Reartes Guillermo 2012-10-12 10:40:09 EDT
Yeap, the problem is that one cannot type the language name. Luckily it can be selected from the list.
Comment 3 Steve Tyler 2012-10-15 00:24:04 EDT
Created attachment 627173 [details]
BZ login dialog showing Armenian glyphs after exception in keyboard spoke

I got a traceback while testing the keyboard after reading this bug report. My BZ login name and password appear in Armenian glyphs. Login failed ...

anaconda 18.16
F18-Beta/TC4/Fedora-18-Beta-TC4-x86_64-DVD.iso
Comment 4 Steve Tyler 2012-10-15 01:16:20 EDT
See also:
Bug 866320 - BZ login not in Latin glyphs after exception in keyboard spoke
Comment 5 Vratislav Podzimek 2012-10-15 03:44:56 EDT
*** Bug 866320 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2013-12-21 04:05:37 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 07:31:52 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.